Last modified: 2013-05-31 12:03:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 48927 - 201px thumbnail of Coat_of_arm_Bautzen.svg on Commons cannot be purged
201px thumbnail of Coat_of_arm_Bautzen.svg on Commons cannot be purged
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Media storage (Other open bugs)
wmf-deployment
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: ops
Depends on:
Blocks: 41371
  Show dependency treegraph
 
Reported: 2013-05-29 07:13 UTC by Ryan Kaldari
Modified: 2013-05-31 12:03 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Ryan Kaldari 2013-05-29 07:13:35 UTC
This bug has about a dozen other incarnations on Bugzilla, but Andre has asked for new reports to be filed separately for this rather than reopening any of the old bugs (to keep the various issues from getting mixed up).

This particular incarnation can be seen by comparing:

https://upload.wikimedia.org/wikipedia/commons/thumb/7/7c/Kaldari_Lyssomanes_viridis_female_01.jpg/800px-Kaldari_Lyssomanes_viridis_female_01.jpg

and

https://upload.wikimedia.org/wikipedia/commons/thumb/7/7c/Kaldari_Lyssomanes_viridis_female_01.jpg/799px-Kaldari_Lyssomanes_viridis_female_01.jpg

The first thumbnail shows the old version of the image (with different colors), while the 2nd thumbnail shows the correct up-to-date version of the image. The first thumbnail should have been purged from cache when the new version of the image was uploaded, but apparently it was not.
Comment 2 Marco 2013-05-29 15:28:10 UTC
Fixed for me, now.
Comment 3 TMg 2013-05-30 13:07:52 UTC
This bug keeps coming back.

Bad version (two misplaced yellow rectangles at the bottom of the image):
http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.svg/201px-Coat_of_arm_Bautzen.svg.png

Good version:
http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.svg/200px-Coat_of_arm_Bautzen.svg.png

I tried the usual purge tricks and most image sizes are refreshed but size 201px is not.
Comment 4 Marco 2013-05-30 17:32:40 UTC
(In reply to comment #3)
In the US it seems ok but in Germany the 201px-version is not updated.
Comment 5 Ryan Kaldari 2013-05-30 17:46:09 UTC
Both of these seem to be fixed for me now (in the US).
Comment 6 TMg 2013-05-31 09:06:16 UTC
The 201px version is still wrong in Germany.
Comment 7 Andre Klapper 2013-05-31 09:48:58 UTC
(In reply to comment #3)
> This bug keeps coming back.

Yes, this bug will come back until bug 43449 is fixed. :-(

I've tried http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.svg/201px-Coat_of_arm_Bautzen.svg.png?whatever98743 and https://commons.wikimedia.org/wiki/File:Coat_of_arm_Bautzen.svg?action=purge but it still displays the wrong version, I'm also in Europe.
Comment 8 Liangent 2013-05-31 09:58:48 UTC
(In reply to comment #3)
> This bug keeps coming back.
> 
> Bad version (two misplaced yellow rectangles at the bottom of the image):
> http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.
> svg/201px-Coat_of_arm_Bautzen.svg.png
> 
> Good version:
> http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.
> svg/200px-Coat_of_arm_Bautzen.svg.png
> 
> I tried the usual purge tricks and most image sizes are refreshed but size
> 201px is not.

I see no difference between the two given images?

btw. Using thumb.php to purge image at a given resolution often works.
Comment 9 Marco 2013-05-31 11:51:23 UTC
(In reply to comment #6)
> The 201px version is still wrong in Germany.

Finally also fixed for GER/EU
Comment 10 Andre Klapper 2013-05-31 12:03:59 UTC
Thanks for retesting, confirming it is fixed now. 
I guess that it took some time to sync all servers. "EU vs. rest of the world" has to do with esams (Amsterdam) servers vs ptpma/eqiad (US servers).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links